services:
  neo4j:
    image: neo4j:latest
    container_name: neo4j
    ports:
      - "7473:7473"
      - "7474:7474"
      - "7687:7687"
    volumes:
      - ./data:/data
      - ./logs:/logs
    environment:
      - NEO4J_AUTH=neo4j/localhost
      - NEO4JLABS_PLUGINS=["apoc"]
      - NEO4J_dbms_memory_heap_initial__size=1G
      - NEO4J_dbms_memory_heap_max__size=1G
